package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;

/**
 * @author: puchao.ma
 * @date: 2022/1/28 11:19
 */
public class SynBugInfoDto {
    /**
     * 缺陷id<br>
     */
    @ApiModelProperty("缺陷id")
    @Size(max = 32, message="缺陷id-bugId: 数据长度不能 > 32" )
    private String bugId;
    /**
     * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
     <br>
     */
    @ApiModelProperty("严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 ")
    @Size(max = 1, message="严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 -bugGrade: 数据长度不能 > 1" )
    private String bugGrade;
    /**
     * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
     */
    @ApiModelProperty("缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷")
    @Size(max = 50, message="缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷-bugType: 数据长度不能 > 50" )
    private String bugType;
    /**
     * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
     */
    @ApiModelProperty("缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交")
    @Size(max = 2, message="缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交-bugFrom: 数据长度不能 > 2" )
    private String bugFrom;
    /**
     * 紧急程度：1.高、2.中、3.低<br>
     */
    @ApiModelProperty("紧急程度：1.高、2.中、3.低")
    @Size(max = 1, message="紧急程度：1.高、2.中、3.低-emergency: 数据长度不能 > 1" )
    private String emergency;
    /**
     * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
     */
    @ApiModelProperty("缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核")
    @Size(max = 50, message="缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核-bugStatus: 数据长度不能 > 50" )
    private String bugStatus;
    /**
     * 分配给，缺陷接收人<br>
     */
    @ApiModelProperty("分配给，缺陷接收人")
    @Size(max = 32, message="分配给，缺陷接收人-receiver: 数据长度不能 > 32" )
    private String receiver;
    /**
     * 修复时间<br>
     */
    @ApiModelProperty("修复时间")
    private Date repairTime;
    /**
     * 修复人<br>
     */
    @ApiModelProperty("修复人")
    @Size(max = 32, message="修复人-repairUser: 数据长度不能 > 32" )
    private String repairUser;
    /**
     * 关闭日期<br>
     */
    @ApiModelProperty("关闭日期")
    private Date closeTime;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 50, message="系统id-systemId: 数据长度不能 > 50" )
    private String systemId;
    /**
     * 轮次id<br>
     */
    @ApiModelProperty("轮次id")
    @Size(max = 50, message="轮次id-roundId: 数据长度不能 > 50" )
    private String roundId;
    /**
     * 模块id<br>
     */
    @ApiModelProperty("模块id")
    @Size(max = 50, message="模块id-moduleId: 数据长度不能 > 50" )
    private String moduleId;
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
    private String proId;
    /**
     * 创建发现人<br>
     */
    @ApiModelProperty("创建发现人")
    @Size(max = 32, message="创建发现人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 更新人<br>
     */
    @ApiModelProperty("更新人")
    @Size(max = 50, message="更新人-updatedBy: 数据长度不能 > 50" )
    private String updatedBy;
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
    private String tenantId;
    /**
     * 关联用例数<br>
     */
    @ApiModelProperty("关联用例数")
    private Integer caseNum;

    public Integer getCaseNum() {
        return caseNum;
    }

    public void setCaseNum(Integer caseNum) {
        this.caseNum = caseNum;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public String getBugGrade() {
        return bugGrade;
    }

    public void setBugGrade(String bugGrade) {
        this.bugGrade = bugGrade;
    }

    public String getBugType() {
        return bugType;
    }

    public void setBugType(String bugType) {
        this.bugType = bugType;
    }

    public String getBugFrom() {
        return bugFrom;
    }

    public void setBugFrom(String bugFrom) {
        this.bugFrom = bugFrom;
    }

    public String getEmergency() {
        return emergency;
    }

    public void setEmergency(String emergency) {
        this.emergency = emergency;
    }

    public String getBugStatus() {
        return bugStatus;
    }

    public void setBugStatus(String bugStatus) {
        this.bugStatus = bugStatus;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public Date getRepairTime() {
        return repairTime;
    }

    public void setRepairTime(Date repairTime) {
        this.repairTime = repairTime;
    }

    public String getRepairUser() {
        return repairUser;
    }

    public void setRepairUser(String repairUser) {
        this.repairUser = repairUser;
    }

    public Date getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Date closeTime) {
        this.closeTime = closeTime;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getRoundId() {
        return roundId;
    }

    public void setRoundId(String roundId) {
        this.roundId = roundId;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public String toString() {
        return "synBugManagementDto{" +
                "bugId='" + bugId + '\'' +
                ", bugGrade='" + bugGrade + '\'' +
                ", bugType='" + bugType + '\'' +
                ", bugFrom='" + bugFrom + '\'' +
                ", emergency='" + emergency + '\'' +
                ", bugStatus='" + bugStatus + '\'' +
                ", receiver='" + receiver + '\'' +
                ", repairTime=" + repairTime +
                ", repairUser='" + repairUser + '\'' +
                ", closeTime=" + closeTime +
                ", systemId='" + systemId + '\'' +
                ", roundId='" + roundId + '\'' +
                ", moduleId='" + moduleId + '\'' +
                ", proId='" + proId + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", updatedTime=" + updatedTime +
                ", tenantId='" + tenantId + '\'' +
                '}';
    }
}
